import type { Combobox } from '..';
/**
 * Page object for the `nimble-combobox` component to provide consistent ways
 * of querying and interacting with the component during tests.
 */
export declare class ComboboxPageObject {
    protected readonly comboboxElement: Combobox;
    private readonly regionLoadedListener;
    constructor(comboboxElement: Combobox);
    /**
     * Gets the selectable options in the drop-down. Does not include options that are disabled or filtered out.
     */
    getFilteredOptions(): string[];
    /**
     * Sets the input text and commits the value by pressing Enter. Will emit a 'change' event.
     */
    commitValue(text: string): Promise<void>;
    /**
     * Gets the label text of the element
     * @returns The current slotted label text, if any
     */
    getLabelText(): string;
    /**
     * @internal
     *
     * The Selection API currently isn't supported properly or consistently in shadow DOM,
     * so unfortunately our delete API has to be passed the post-deletion text.
     */
    setInputText(text: string, asDelete?: boolean): void;
    /**
     * @internal
     *
     * Either opens or closes the dropdown depending on its current state
     */
    clickCombobox(): void;
    /**
     * @internal
     */
    clickAndWaitForOpen(): Promise<void>;
    /**
     * @internal
     *
     * Either opens or closes the dropdown depending on its current state
     */
    clickDropdownButton(): void;
    /**
     * @internal
     */
    clickDropdownButtonAndWaitForOpen(): Promise<void>;
    /**
     * @internal
     */
    isDropdownButtonChecked(): boolean;
    /**
     * @internal
     */
    isDropdownButtonDisabled(): boolean;
    /**
     * @internal
     *
     * Either opens or closes the dropdown depending on its current state
     */
    clickInput(): void;
    /**
     * @internal
     */
    getInputTitle(): string | null;
    /**
     * @internal
     */
    getInputAriaLabel(): string | null;
    /**
     * @internal
     */
    mouseoverInput(): Promise<void>;
    /**
     * @internal
     */
    mouseoutInput(): Promise<void>;
    /**
     * @internal
     */
    prependOption(value: string, label: string): Promise<void>;
    /**
     * @internal
     */
    clickAway(): Promise<void>;
    /**
     * @internal
     */
    pressEnterKey(): void;
    /**
     * @internal
     */
    pressArrowDownKey(): void;
    /**
     * @internal
     */
    pressArrowUpKey(): void;
    /**
     * @internal
     */
    hideAllOptions(): void;
    /**
     * @internal
     */
    isNoResultsLabelVisible(): boolean;
    private waitForAnchoredRegionLoaded;
}
